Page MenuHomePhabricator

Set up graphite monitoring for the beta cluster
Closed, ResolvedPublic

Description

from bug 51497c#1 (Antoine):
That would be very nice to have, specially the profiling bits. That project
does not have any documentation beside the puppet manifests though. Probably
lower priority compared to Icinga.


Version: unspecified
Severity: enhancement

Details

Reference
bz52357

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:09 AM
bzimport set Reference to bz52357.
bzimport added a subscriber: Unknown Object (MLST).
greg created this task.Jul 31 2013, 9:42 PM

Moving under deployment-prep bugzilla component.

The deployment-graphite instance is intended to do this monitoring. I started to work on it but haven't finished making the puppet modules/roles usable in beta. Graphite is running there along with txstatsd. Gdash is not present and configuration has not been changed in operations/mediawiki-config to point to the new server.

Graphite stats from deployment-prep are now sent to graphite.wmflabs.org. Labs Graphite is soon going to get 'real hardware' and then the data will just move there. The current setup is fully puppetized, pulling in stats via diamond.

I'll leave it to the deployment-prep folks on what to do with deployment-graphite :)

Reopening. Yuvi made diamond send host metrics to a central graphite.wmflabs.org instance. Now we need a dashboard on top of it to replace Ganglia and have some alerting system set up.

faidon removed a subscriber: faidon.Nov 25 2014, 1:02 AM
yuvipanda closed this task as Resolved.Nov 25 2014, 12:11 PM
yuvipanda claimed this task.

So... we have:

Marking as fixed.

+1 for the monitoring part of it. I am wondering what to do for MediaWiki profiling though. Should we use the same graphite instance or a dedicated one? I don't mind filing another task.

Let's use the same one. That's how it is in prod.